Bug 56061 - The mgetty only at first time starts the pppd
The mgetty only at first time starts the pppd
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: mgetty (Show other bugs)
7.2
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-12 03:57 EST by kako_j
Modified: 2007-03-26 23:49 EDT (History)
2 users (show)

See Also:
Fixed In Version: mgetty-1.1.33
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-01 15:38:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kako_j 2001-11-12 03:57:16 EST
From Bugzilla Helper:

Description of problem:
The mgetty (1.1.26-6) doesn't want to start the ppp daemon after the first 
connection.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Set up mgetty with Auto-PPP (pap authentication) for dialling in 
2.Dial in first (great, it works)
3.Dial in once again (:-((( It doesn't work)
4.Restart the computer and try again.
	

Additional info:

Only it is in the logs at first:
"mgetty[28608]: data dev=ttyS0, pid=28608, caller='none', 
conn='28800/V42BIS', name='', cmd='/usr/sbin/pppd', user='/AutoPPP/'"
(its good)
and the next time:
"mgetty[28676]: data dev=ttyS0, pid=28676, caller='none', 
conn='28800/V42BIS', name=''"
Comment 1 Oliver Schulze L. 2002-03-07 09:44:52 EST
I'm getting this error:
03/06 23:53:32 yS1  wfr: waiting for ``RING''
03/06 23:53:32 yS1  send: ATA[0d]
03/06 23:53:32 yS1  waiting for ``CONNECT''
03/06 23:53:32 yS1  found action string: ``NO CARRIER''
03/06 23:53:32 ##### failed A_FAIL dev=ttyS1, pid=2013, caller='none', conn='',
name=''

Anyone knows if is the same?

Thanks
Comment 2 Mike Gahagan 2002-03-13 13:44:44 EST
I was just working with a customer on a ppp dial-in server issue and it appeared
that mgetty never even attempted to start pppd, on the first connection or
otherwise. 

We were trying this with the debug option being passed to pppd and pppd never
started, however we were able to assign the user's shell to a shell script which
called pppd with the same options that mgetty was supposed to send to it. That
worked provided we set SUID root on pppd.
Comment 3 Jason Vas Dias 2005-08-01 15:38:12 EDT
Sorry for the delay in processing this bug - it slipped through the cracks
somehow.
I can now confirm that the /AutoPPP mode works as documented with all current
Red Hat mgetty releases.

Note You need to log in before you can comment on or make changes to this bug.